General news and announcements

Page:  1  2  3  4  5  ()
DiscussionStarted byRepliesLast post
29TH AUGUST CONVOCATION FACE TO FACE ATTENDEES FOR EACH SESSION Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 25 Aug 2020, 07:03 AM
NOTICE ON GRADUATION Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 18 Aug 2020, 06:56 PM
THE 4TH MESSAGE FROM THE AIT PRESIDENT Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 18 Aug 2020, 11:26 AM
APPROVED LIST FOR END OF TRIMESTER EXAMINATIONS -1 Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 11 Aug 2020, 03:30 PM
MAY 2020 Mid-Trimester Exams on Fedena. Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 24 Jul 2020, 10:58 AM
UNDERGRAD PROVISIONAL MAY 2020 END OF TRIMESTER TIMETABLE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 22 Jul 2020, 11:06 AM
MASTERS PROVISIONAL MAY 2020 END OF TRIMESTER TIMETABLE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 21 Jul 2020, 11:03 AM
NOTICE ON GRADUATION Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 14 Jul 2020, 09:47 PM
MESSAGE FROM AIT PRESIDENT Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 23 Jun 2020, 01:26 PM
GRADUATION NOTICE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 29 May 2020, 10:46 PM
Message from AIT President Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Thu, 14 May 2020, 12:52 PM
UNDERGRAD GRADUATION NOTICE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Mon, 11 May 2020, 10:22 PM
COMMENCEMENT OF MAY 2020 TRIMESTER AND ARRANGEMENTS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 6 May 2020, 08:11 PM
SPECIAL NOTICE ON JANUARY 2020 END OF TRIMESTER EXAMINATIONS OPEN BOOK EXAMS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Mon, 27 Apr 2020, 02:37 PM
Message from AIT President to Students Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Mon, 20 Apr 2020, 01:42 PM
OUM APPROVED BATCH 5 Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 17 Apr 2020, 09:50 PM
OUM APPROVED BATCH 4 Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 17 Apr 2020, 09:47 PM
OUM APPROVED BATCH 3 Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 17 Apr 2020, 10:17 AM
OUM APPROVED BATCH 2 Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 15 Apr 2020, 11:28 PM
OUM APPROVED BATCH 1 Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 15 Apr 2020, 01:25 PM
JANUARY 2020 TRIMESTER-UNDERGRAD EXAMINATION TIMETABLE FOR OPEN BOOK COURSES Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Mon, 13 Apr 2020, 12:16 PM
JANUARY 2020 TRIMESTER-UNDERGRAD EXAMINATION TIMETABLE FOR MCQ COURSES Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Mon, 13 Apr 2020, 12:10 PM
BLOCKING OF STUDENTS ON LEMASS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Mon, 13 Apr 2020, 12:07 PM
NOTICE ON OU EXAMS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Sat, 11 Apr 2020, 08:17 PM
Vodafone Package Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 7 Apr 2020, 07:50 PM
URGENT NOTICE ON PLAGIARISM CHECKING -OPEN-BOOK EXAMS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 1 Apr 2020, 05:38 PM
SPECIAL NOTICE ON JANUARY 2020 END OF TRIMESTER EXAMINATIONS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 31 Mar 2020, 10:21 AM
UNDERGRAD PROVISIONAL JAN 2020 END OF TRIMESTER TIMETABLE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 31 Mar 2020, 10:17 AM
VIDEO LINKS TO HOW TO PREPARE OPEN-BOOK EXAMS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 27 Mar 2020, 07:26 PM
SCHOOL FEES PAYMENT PLATFORMS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 27 Mar 2020, 06:30 PM
Resumption of Academic Activities Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 20 Mar 2020, 05:45 PM
JAN 2020 Mid-Trimester Exams on Fedena. Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 17 Mar 2020, 05:47 PM
TO ALL STUDENTS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 17 Mar 2020, 05:33 PM
Suspension of All Academic Activities at Accra Institute of Technology Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Mon, 16 Mar 2020, 10:59 AM
Global Corona Virus Report Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 13 Mar 2020, 07:02 PM
MAKE-UP EXAM Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 13 Mar 2020, 03:27 PM
JAN 2020 END OF TRIMESTER EXAMS TIMETABLE Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Wed, 11 Mar 2020, 03:37 PM
URGENT- BACHELOR OF EDUCATION STUDENTS Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Wed, 11 Mar 2020, 11:53 AM
UNDERGRADUATE CAPSTONE TIMELINES FOR JAN 2020 Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 4 Mar 2020, 10:21 AM
SEPT 2019 GRADES COMPLAINTS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Mon, 24 Feb 2020, 09:40 PM
UNDERGRADUTE DEGREE RESEARCH SUPERVISOR ALLOCATION JAN 2020 GROUP Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Thu, 13 Feb 2020, 04:45 PM
REPLACEMENT COURSE FOR VISUAL PROGRAMMING Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Thu, 6 Feb 2020, 05:03 PM
MASTERS-JAN 2020 SUPERVISION ALLOCATION Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Mon, 27 Jan 2020, 06:01 PM
NATIONAL SERVICE 2020/2021 REGISTRATION Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 21 Jan 2020, 06:15 PM
JAN 2020 UNDERGRADUATE COURSE REGISTRATION Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 21 Jan 2020, 06:11 PM
OUM December 2019 Malpractice Cases Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Mon, 13 Jan 2020, 11:50 AM
SEPT 2019 TRIMESTER MASTERS THESIS SUBMISSION Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Wed, 4 Dec 2019, 04:51 PM
TO ALL MASTERS AND UNDERGRAD STUDENTS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 26 Nov 2019, 12:37 PM
Exams chit for September 2019 End of Trimester Exams Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 22 Nov 2019, 04:14 PM
SEPT 2019 FINAL END OF TRIMESTER TIMETABLE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 20 Nov 2019, 11:37 AM
URGENT NOTICE FOR UNDERGRADUATE STUDENTS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 13 Nov 2019, 03:40 PM
MAKE-UP EXAMS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Mon, 4 Nov 2019, 03:44 PM
CHANGE OF DATE FOR MASTERS FACE TO FACE VIVA Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Wed, 23 Oct 2019, 10:54 AM
CAPSTONE SCHEDULE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 9 Oct 2019, 02:34 PM
MASTERS RESEARCH DEGREE SCHEDULE-SEPT 2019 TRIMESTER Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Fri, 4 Oct 2019, 02:26 PM
MASTERS STUDENT SUPERVISOR ALLOCATION -SEPT 2018 TRIMESTER Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Thu, 3 Oct 2019, 04:23 PM
SEPT 2019 UNDERGRADUATE COURSE REGISTRATION Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Sat, 28 Sep 2019, 04:46 PM
MASTERS COURSE REGISTRATION SEPT 2019 TRIMESTER Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Tue, 17 Sep 2019, 12:55 PM
SEPTEMBER 2019 CALENDAR SCHEDULE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Thu, 29 Aug 2019, 05:03 PM
OUM CERTIFICATE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Thu, 29 Aug 2019, 12:26 PM
EXAMS CHIT FOR JAN 2019 END OF TRIMESTER Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Thu, 15 Aug 2019, 11:23 AM
DEADLINE FOR SUBMISSION OF MASTERS PROJECT PART 1 /2 Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Tue, 13 Aug 2019, 03:27 PM
MAY 2019 EXAMS TIMETABLE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 13 Aug 2019, 02:52 PM
GOWNS COLLECTION AND DRESS REHEARSAL Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 6 Aug 2019, 10:24 AM
URGENT Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 6 Aug 2019, 10:10 AM
URGENT- FOR BACHELOR OF HOSPITALITY MANAGEMENT( BHM) STUDENTS Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Thu, 1 Aug 2019, 03:48 PM
MASTERS FACE TO FACE VIVA- MAY 2019 TRIMESTER Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Mon, 29 Jul 2019, 12:42 PM
MATRICULATION 2019 Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 26 Jul 2019, 01:43 PM
14TH GRADUATION Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 26 Jul 2019, 01:40 PM
UNDERGRAD NOTICE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 24 Jul 2019, 12:04 PM
GRADUATION LIST FOR AIT-OPEN UNIVERSITY Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 23 Jul 2019, 10:21 AM
MATRICULATION 2019 Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 10 Jul 2019, 04:16 PM
PROVISIONAL END OF TRIMESTER TIMETABLE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 5 Jul 2019, 05:05 PM
POSTPONEMENT OF MASTERS VIDEO VIVA Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Tue, 2 Jul 2019, 11:33 AM
Oum April 2019 Malpractice Cases(Approved) Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 21 Jun 2019, 12:10 PM
URGENT Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 12 Jun 2019, 04:26 PM
MASTERS STUDENT VIDEO VIVA CLEARED LIST Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Mon, 10 Jun 2019, 11:47 AM
CAUTION ON COURSE REGISTRATION Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Tue, 4 Jun 2019, 10:23 AM
Undergraduate Degree Research For May 2019 Trimester Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 31 May 2019, 03:48 PM
MASTERS RESEARCH DEGREE SCHEDULE-MAY 2019 TRIMESTER Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Fri, 31 May 2019, 02:48 PM
2019 MAY CALENDAR SCHEDULE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 15 May 2019, 03:09 PM
JAN 2019 MASTERS SUPERVISORS ALLOCATION Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Thu, 9 May 2019, 03:23 PM
STUDENT DATA Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Thu, 9 May 2019, 12:30 PM
UNDERGRADUTE DEGREE RESEARCH SUPERVISOR ALLOCATION Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 7 May 2019, 06:14 PM
NOTICE ON SCHOOL FEES PAYMENT Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Sun, 5 May 2019, 10:06 AM
SUBMISSION OF MASTERS PART 1 & 2 THESIS FOR GRADING - JAN 2019 Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Fri, 26 Apr 2019, 10:29 AM
ADDITIONAL INFORMATION Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Thu, 25 Apr 2019, 10:48 AM
SPECIAL ANNOUNCEMENT Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 24 Apr 2019, 05:11 PM
IMPORTANT NOTICE ON EXAMINATIONS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 24 Apr 2019, 01:48 PM
Proposal Defense Results for April 2019 Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 17 Apr 2019, 05:49 PM
CLEARD STUDENTS FOR PROPOSAL AND FACE TO FACE DEFENSE Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 12 Apr 2019, 03:59 PM
Proposal Defense and Capstone Project Defense Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 9 Apr 2019, 02:10 PM
UNDERGRAD CAPSTONE REMINDER Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 5 Apr 2019, 11:09 AM
PROPOSAL DEFENCE FOR MASTERS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Thu, 4 Apr 2019, 03:45 PM
ON-LINE JAN2019 MID-TRIMESTER EXAMS ON FEDENA Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Sat, 23 Mar 2019, 06:42 AM
MAKE UP EXAMS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Tue, 12 Mar 2019, 11:56 AM
COMMENCEMENT OF LECTURES Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 22 Feb 2019, 05:44 PM
AIT HANGOUT TRIP Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Wed, 20 Feb 2019, 06:00 PM
REMINDER- MASTERS VIDEO VIVA Picture of Cecilia Edem Afenyo Cecilia Edem Afenyo 0 Cecilia Edem Afenyo
Fri, 1 Feb 2019, 07:44 PM
CAPSTONE DATAILS Picture of DANIEL AGBEKO DANIEL AGBEKO 0 DANIEL AGBEKO
Fri, 1 Feb 2019, 05:45 PM
Page:  1  2  3  4  5  ()